language: cn
model_unique_abbr: Flow_CalClusCenter
version: 1.0.0
identification:
  docker_image_name: spark-geoflow:2.0
  model_name: 地理流的聚类中心计算
  semantic: flow cluster center calculation
  description: 本算法旨在计算地理流数据聚类后各个类别的中心流以及最接近中心流的实际流
  category_application: 诊断型
  category_data:
    - 流数据分析
  keywords:
    - 地理流
    - 聚类

parameter_info:
  parameters:
    - arg_name: ' '
      is_positional_arg: true
      param_type: param
      visible: false
      name: 算法名称
      description: 算法的名称或者是一个特定的操作指令
      is_required: false
      data_type: str
      specification:
        default: flow-calcenter
    - arg_name: odcluster
      is_positional_arg: true
      param_type: input_data
      name: 流聚类文件
      description: 记录流聚类的CSV文件
      data_type: csv
      data_semantic: od_cluster    
    - arg_name: center
      is_positional_arg: true
      param_type: output_data
      name: 聚类中心计算结果
      description: 聚类中心计算结果的输出文件夹路径
      data_type: str
      data_semantic: od_cluster_center 
    - arg_name: id_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 流编号所在的列数
      data_type: int
      data_semantic: id_index
      specification:
        range:
        - "[0,)"
    - arg_name: oLon_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 起点的经度所在列数
      data_type: int
      data_semantic: origin_lon_index
      specification:
        range:
        - "[0,)"
    - arg_name: oLat_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 起点的纬度所在列数
      data_type: int
      data_semantic: origin_lat_index
      specification:
        range:
        - "[0,)"
    - arg_name: dLon_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 终点的经度所在列数
      data_type: int
      data_semantic: destination_lon_index
      specification:
        range:
        - "[0,)"
    - arg_name: dLat_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 终点的纬度所在列数
      data_type: int
      data_semantic: destination_lat_index
      specification:
        range:
        - "[0,)"
    - arg_name: cluster_id
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 聚类编号所在列数
      data_type: int
      data_semantic: cluster_id
      specification:
        range:
        - "[0,)"

application:
  domain: 地理流分析
  objective: 本算法旨在计算地理流数据聚类后各个类别的中心流以及最接近中心流的实际流
  link_models:
    preorder: []


operation:
  usage: 使用方法描述
  exec_example:
    - docker run -u 0 $(pwd)/data:/geoflow/data crazy-zlj:spark-geoflow:2.0 flow-idw /data/od_flows.csv /data/gravity_res /data/district_pop_wuhan.csv 1 0,1 0,1,2,3
  output_display:
    - csv文件

technique:
  language: [scala]
  os: [windows, linux]

source:
  maintainer: Xingchen Fan
  organization: "Institute of Geographic Sciences & Natural Resources Research, Chinese Academy of Sciences"
  contact: fanxc@lreis.ac.cn
  references:
    - 参考文献1
